Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.wocompat
Class EODbAttribute

    java.lang.Object
      org.apache.cayenne.map.Attribute
          org.apache.cayenne.map.DbAttribute
              org.apache.cayenne.wocompat.EODbAttribute

All Implemented Interfaces:
  Serializable, CayenneMapEntry, XMLSerializable

    public class EODbAttribute

extends DbAttribute

EOModel-friendly DbAttribute subclass.

Since:
  1.2
See Also:
  Serialized Form

Field Summary
`protected String` | `eoAttributeName`

Fields inherited from class org.apache.cayenne.map.DbAttribute
`attributePrecision, generated, mandatory, maxLength, primaryKey, scale, type`

Fields inherited from class org.apache.cayenne.map.Attribute
`entity, name`

Constructor Summary
`EODbAttribute()`
`EODbAttribute(String name, int type, DbEntity entity)`

Method Summary
`String` | `getEoAttributeName()`
`void` | `setEoAttributeName(String eoAttributeName)`

Methods inherited from class org.apache.cayenne.map.DbAttribute
`encodeAsXML, getAliasedName, getAttributePrecision, getMaxLength, getPrecision, getScale, getType, isForeignKey, isGenerated, isMandatory, isPrimaryKey, setAttributePrecision, setGenerated, setMandatory, setMaxLength, setPrecision, setPrimaryKey, setScale, setType`

Methods inherited from class org.apache.cayenne.map.Attribute
`getEntity, getName, getParent, setEntity, setName, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### eoAttributeName

    protected String eoAttributeName

Constructor Detail

### EODbAttribute

    public EODbAttribute()

### EODbAttribute

    public EODbAttribute(String name,
                         int type,
                         DbEntity entity)

Method Detail

### getEoAttributeName

    public String getEoAttributeName()

### setEoAttributeName

    public void setEoAttributeName(String eoAttributeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.